#include <stdio.h>

#define MAX 1024

void longest(char * str, int * start, int * length);

int main()
{
   char str[MAX];
   int start, length;

   scanf("%s", str);

   longest(str, &start, &length);

   printf("%d %d\n", start, length);

   return 0;
}
